
From: Jan Kara <jack@suse.cz>

Remove dquot structures from quota file on quotaon - quota code does not
expect them to be there.

Signed-off-by: Jan Kara <jack@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/dquot.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/dquot.c~quota-fix-possible-oops-on-quotaoff fs/dquot.c
--- 25/fs/dquot.c~quota-fix-possible-oops-on-quotaoff	Thu Mar 31 14:34:08 2005
+++ 25-akpm/fs/dquot.c	Thu Mar 31 14:34:08 2005
@@ -1443,6 +1443,7 @@ static int vfs_quota_on_inode(struct ino
 	oldflags = inode->i_flags & (S_NOATIME | S_IMMUTABLE | S_NOQUOTA);
 	inode->i_flags |= S_NOQUOTA | S_NOATIME | S_IMMUTABLE;
 	up_write(&dqopt->dqptr_sem);
+	sb->dq_op->drop(inode);
 
 	error = -EIO;
 	dqopt->files[type] = igrab(inode);
_
